<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_aux_unid.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $desc = $_POST['desc'];
    $atualizar=$pdo_sgt->prepare("UPDATE tb_map_ip SET descricao=:desc WHERE id=:id");
    $atualizar->bindValue(":desc",$desc);
    $atualizar->bindValue(":id",$id);
    $atualizar->execute();
    $mensagem = "Dado alterado na tabela: tb_map_ip - "
    . "Para o campo: descricao - "
    . "Com o seguinte valore: $desc "
    . "Do id: $id.";
    salvaLog($mensagem);
    echo"<script language='javascript' type='text/javascript'>
        window.location.href='list_ip_unid.php#id".$id."';
    </script>";
?>